org.apache.tomcat.util.net

## Class NioBlockingSelector.BlockPoller.RunnableCancel

- java.lang.Object
- - org.apache.tomcat.util.net.NioBlockingSelector.BlockPoller.RunnableCancel

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    NioBlockingSelector.BlockPoller

      public static class NioBlockingSelector.BlockPoller.RunnableCancel
      extends Object
      implements Runnable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NioBlockingSelector.BlockPoller.RunnableCancel(SelectionKey key)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NioBlockingSelector.BlockPoller.RunnableCancel

          public NioBlockingSelector.BlockPoller.RunnableCancel(SelectionKey key)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.